<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="org.osgeo.mapguide.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.io.*" %>
<%@ page import="javax.servlet.jsp.*" %>
<%@ page import="javax.servlet.http.*" %>

<%@ page isThreadSafe="false" %>

<%!
void InitializeWebTier() throws MgException
{
    // Initialize web tier with the site configuration file.  The config
    // file should be in the same folder as this script.
    //
    String realpath = getServletContext().getRealPath("/");
    String configPath =  realpath + "webconfig.ini";
    MapGuideJavaApi.MgInitializeWebTier(configPath);
}
%>

<%
try
{
    InitializeWebTier();
    PrintWriter writer = response.getWriter();
    response.setContentType("text/html");
    response.setBufferSize(10);
    String str1 = "0123456789";
    StringBuilder str = new StringBuilder();
    for (int b=0; b<6; b++)
    {
        for (int a=0; a<10; a++) str.append(str1);
        str1 = str.toString();
    }
    String text = str.toString();
    writer.println("<html><body>");
    writer.println("<p>String size: " + text.length());
    writer.flush();

    for (int i=0; i<1000; i++)
    {
       MgByteReader reader = new MgByteReader(text, "text/plain");
       if (i%10 == 1)
       {
           writer.println("<p>Objects created:" + i + "\n");
           writer.flush();
           System.gc();
       }
    }
    writer.println("</body></html>");
    System.gc();
}
catch (MgException e)
{
    response.getWriter().write(e.GetExceptionMessage());
}
%>
